# Interface IntersectionTypeTree

All Superinterfaces:
  `Tree`

public interface IntersectionTypeTree extends Tree
A tree node for an intersection type in a cast expression.

Since:
  1.8

## Nested Class Summary

### Nested classes/interfaces declared in interface Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`List<? extends Tree>`
`getBounds()`
Returns the bounds of the type.

### Methods declared in interface Tree

`accept, getKind`

## Method Details

### getBounds

List<? extends Tree> getBounds()
Returns the bounds of the type.

Returns:
  the bounds